Subject: Re: password authentication fails in cygwin openssh windows xp pro
From: William Sutton <[email-masked]>
To: René Berber <[email-masked]>
Cc: [email-masked]
Date: Fri, 25 May 2007 00:07:12 -0400 (EDT)
List-Id: <cygwin.cygwin.com>

Although if you do want the standard bash dotfiles (.bashrc, 
.bash_history, .bash_profile), just copy them from /etc/skel to your new 
user directory and set owner/group based on the new user owner/group.

-- 
William Sutton

On Thu, 24 May 2007, René Berber wrote:

> Dan Miller wrote:
> 
> > Ok....Rene you are the woman! Thank you so much.
> 
> Er ... actually René is a male name, Renee is the female equivalent (I know,
> there is Rene Russo and others that have the wrong name, but what do they know,
> the name comes from France).
> 
> > I was sort of blowing
> > off the event log because it appeared that windows couldn't determine
> > what the problem was...but at the very end it said user dan not allowed
> > because shell /bin/bash is not executable. so I chmod 700 /bin/bash.exe
> > and I'm in!! It worked It actually worked!! :-) Any idea why this was
> > set up this way...doesn't seem to be a problem I've come across in other
> > peoples efforts to get this going.
> 
> No, I've never seen this, very strange.  I have 750 for bash's permissions
> (-rwxr-x---), your other user may have problems if both login at the same time.
> 
> >     Anyway, so now I can ssh into the computer as user dan which has a
> > local login etc. I want to add another user that has a user account on
> > the computer but is not allowed to login interactively to windows. Can
> > you tell me how to do that?
> 
> The user needs a password... and he might not have a home directory (on first
> login it is created by the shell).
> 
> > I can't seem to su within cygwin to rerun
> > ssh-user-config. How do I set up another user in cygwin and then switch
> > to that user and run the ssh-user-config script? I made a folder in the
> > home directory for the new user, but it doesn't have the standard bash
> > files. Thanks again!
> 
> The new user doesn't need to run ssh-user-config, that only creates the default
> ~/.ssh directory with some defaults, and the keys which are only necessary for
> public key authentication.  You can login as the second user as it is now, just
> make sure the home is the correct one, then he can run the script.
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/